Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 530806 - Review Request: Pyrit - A GPGPU-driven WPA-PSK key cracker
Summary: Review Request: Pyrit - A GPGPU-driven WPA-PSK key cracker
Keywords:
Status: CLOSED DUPLICATE of bug 691894
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 491428 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-10-25 11:16 UTC by Lukas Lueg
Modified: 2011-04-04 15:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-03 17:19:27 UTC


Attachments (Terms of Use)

Description Lukas Lueg 2009-10-25 11:16:38 UTC
Spec URL: http://www.how-to-properly.com/fedora/pyrit.spec
SRPM URL: http://www.how-to-properly.com/fedora/pyrit-0.2.5-1.fc11.src.rpm
Description: Pyrit creates massive databases, pre-computing part of the WPA/WPA2-PSK authentication phase in a space-time tradeoff. It exploits the computational power of multiple cores and GPGPU-platforms through ATI-Stream, Nvidia CUDA, OpenCL and VIA Padlock. It is a powerful attack against one of the world's most used security-protocols


I'm the author of Pyrit and this is the follow-up to bug 491428. This is my first fedora-package and I require a sponsor.

PLEASE NOTE that this is a non-final version of upcoming Pyrit 0.2.5 that I'd like to submit for review ONLY. I've already made several changes to upstream in order to fix errors and warnings by rpmlint;

Comment 1 Thomas Spura 2009-11-27 13:35:53 UTC
*** Bug 491428 has been marked as a duplicate of this bug. ***

Comment 2 Thomas Spura 2009-11-27 13:49:28 UTC
Just a few comments, because I'm no sponsor anyway:

- Some tests are currently failing ( to long to copy&paste here )

- Missing Requires: scapy ( one test fails because of this... )

- The license (as you noted in setup.py) should be GPLv3+

- tests should be part of doc and not installed in /usr/share, except you need 
  them on runtime.
  Please delete all install* lines from %install and include the tests in the
  %files section as:

  %doc test/*

  This will copy all files from test to /usr/share/doc/%{name}-%{version}/

- You don't own %{_datadir}/%{name}/ just the subfiles.
  If this package will be deleted on any system out there, the folder 
  %{_datadir}/%{name}/ will stay there...
  When you install the tests with %doc, this won't be needed anymore.

Comment 3 Till Maas 2009-12-30 19:42:56 UTC
please remove the NotReady from the Whiteboard once you have addressed the issues from comment:2

Comment 4 Jason Tibbitts 2010-01-22 22:20:35 UTC
No response to commentary in nearly two months.  I'll close this soon if there's no further response.

Comment 5 Lukas Lueg 2010-01-24 11:25:18 UTC
I'm the upstream maintainer. Comments in 2 where implemented. I'll post in this bug when 0.2.5-final becomes available.

Comment 6 Lukas Lueg 2010-02-22 09:50:39 UTC
The new upstream version 0.3.0-final has been released and I've updated the SPEC:

http://www.how-to-properly.com/fedora/pyrit.spec
http://www.how-to-properly.com/fedora/pyrit-0.3.0-1.fc12.src.rpm


While I'm willing to make further changes in upstream if necessary, version 0.3.0 is ready to be included in Fedora's repository.

Comment 7 Lukas Lueg 2010-04-06 13:47:09 UTC
bump, please comment

Comment 8 Till Maas 2010-06-30 14:23:17 UTC
(In reply to comment #6)
> The new upstream version 0.3.0-final has been released and I've updated the
> SPEC:
> 
> http://www.how-to-properly.com/fedora/pyrit.spec
> http://www.how-to-properly.com/fedora/pyrit-0.3.0-1.fc12.src.rpm

The hostname does not resolve here:

$ host www.how-to-properly.com
Host www.how-to-properly.com not found: 3(NXDOMAIN)

Comment 9 Till Maas 2010-06-30 14:23:46 UTC
Also, did you perform some unofficial reviews?

Comment 10 Michael Schwendt 2010-07-29 14:26:56 UTC
Also, do enter your real name in bugzilla, please.

Comment 11 Jason Tibbitts 2010-11-03 17:19:27 UTC
Spec and srpm have not been downloadable for months, and the submitter has not responded to pings or comments.  Closing.

Comment 12 Fabian Affolter 2011-04-04 15:26:56 UTC

*** This bug has been marked as a duplicate of bug 691894 ***


Note You need to log in before you can comment on or make changes to this bug.